Changeset 70122 in spip-zone


Ignore:
Timestamp:
Feb 22, 2013, 9:04:12 PM (8 years ago)
Author:
real3t@…
Message:

spip_version_compare n'est pas présent durant l'installation d'un plugin

File:
1 edited

Legend:

Unmodified
Added
Removed
  • _squelettes_/soyezcreateurs_net/plugins_2.1/plugins/soyezcreateurs/soyezcreateurs_fonctions.php

    r70113 r70122  
    2121*/
    2222
    23 if (spip_version_compare($GLOBALS['spip_version_branche'], '3.0.0', '>='))
    24         if (!defined('_SPIP3')) define('_SPIP3', true);                 
     23if (function_exists(spip_version_compare)) { // gerer son absence dans les branche precedente a SPIP 2.x et à l'activation du plugin
     24        if (spip_version_compare($GLOBALS['spip_version_branche'], '3.0.0', '>='))
     25                if (!defined('_SPIP3')) define('_SPIP3', true);
     26}               
    2527
    2628function sc_sommaire_article($texte,$istxt=0)
Note: See TracChangeset for help on using the changeset viewer.